<h2>{{ 'Military.Battles.BattleStatisticsLowCase' | translate }}</h2>

<nz-divider></nz-divider>
<div nz-row nzGutter="12">
  <div nz-col nzSpan="12">
    <h3>{{ 'Military.Battles.TimelineOfBattleDamage2' | translate }}</h3>
    <app-chart
      *ngIf="chartData && isLoading === false"
      [labels]="chartData.labels"
      [datasets]="chartData.datasets"
      type="bar"
    ></app-chart>
  </div>
  <div nz-col nzSpan="12">
    <h3>{{ 'Military.Battles.TimelineOfBattleDamage' | translate }}</h3>
    <app-chart
      *ngIf="chartDataLastHour && isLoading === false"
      [labels]="chartDataLastHour.labels"
      [datasets]="chartDataLastHour.datasets"
      type="bar"
    ></app-chart>
  </div>
</div>

<nz-divider></nz-divider>
<h3>{{ 'Military.Battles.Fighters' | translate }}</h3>

<div nz-row nzGutter="12">
  <div nz-col nzSpan="12">
    <h4>{{ 'Military.Battles.Attackers' | translate }}</h4>
    <nz-table
      #attackersListTable
      [nzData]="fighters.attackers"
      [nzLoading]="isLoading"
      nzSize="small"
      nzPageSize="20"
    >
      <thead>
        <tr>
          <th>{{ 'Citizen.Citi' | translate }}</th>
          <th>{{ 'Military.Battles.Damage' | translate }}</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of attackersListTable.data">
          <td>
            <a href="/citizen/{{ data.citizen.id }}">
              <nz-avatar
                style="margin-right: 10px"
                [nzShape]="'square'"
                [nzIcon]="'flag'"
                [nzSrc]="data.citizen.avatar"
              ></nz-avatar>
              {{ data.citizen.name }}
            </a>
          </td>
          <td>{{ data.damage }}</td>
        </tr>
      </tbody>
    </nz-table>
  </div>
  <div nz-col nzSpan="12">
    <h4>{{ 'Military.Battles.Defenders' | translate }}</h4>
    <nz-table
      #defendersListTable
      [nzData]="fighters.defenders"
      [nzLoading]="isLoading"
      nzSize="small"
      nzPageSize="20"
    >
      <thead>
        <tr>
          <th>{{ 'Citizen.Citi' | translate }}</th>
          <th>{{ 'Military.Battles.Damage' | translate }}</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of defendersListTable.data">
          <td>
            <a href="/citizen/{{ data.citizen.id }}">
              <nz-avatar
                style="margin-right: 10px"
                [nzShape]="'square'"
                [nzIcon]="'flag'"
                [nzSrc]="data.citizen.avatar"
              ></nz-avatar>
              {{ data.citizen.name }}
            </a>
          </td>
          <td>{{ data.damage }}</td>
        </tr>
      </tbody>
    </nz-table>
  </div>
</div>
